Error when updating Boost Library in Ubuntu 20.04(Focal)

Asked by parvathybabu

Hi,

We recently upgraded our work environment to Ubuntu 20.04(Focal). It was Ubuntu 18.04 before.

When "sudo apt update" getting error message while fetching "boost" dependency libraries.

Err:7 http://ppa.launchpad.net/boost-latest/ppa/ubuntu focal Release
  404 Not Found [IP: 91.189.95.85 80]

Please find the below full log:

pbabu@pbabu-VirtualBox:~$ sudo apt update
Hit:1 http://in.archive.ubuntu.com/ubuntu focal InRelease
Hit:2 http://in.archive.ubuntu.com/ubuntu focal-updates InRelease
Hit:3 http://in.archive.ubuntu.com/ubuntu focal-backports InRelease
Ign:4 http://ppa.launchpad.net/boost-latest/ppa/ubuntu focal InRelease
Hit:5 http://ppa.launchpad.net/deadsnakes/ppa/ubuntu focal InRelease
Hit:6 http://security.ubuntu.com/ubuntu focal-security InRelease
Err:7 http://ppa.launchpad.net/boost-latest/ppa/ubuntu focal Release
  404 Not Found [IP: 91.189.95.85 80]
Ign:8 https://deb.rd.konenet.com/ubuntu focal InRelease
Hit:9 https://deb.rd.konenet.com/ubuntu focal Release
Ign:10 https://deb.rd.konenet.com/ubuntu focal Release.gpg
Reading package lists... Done
E: The repository 'http://ppa.launchpad.net/boost-latest/ppa/ubuntu focal Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

Can you please check what is the issue and please provide support on how to resolve ?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Manfred Hampl
Solved:
Last query:
Last reply:
Revision history for this message
Manfred Hampl (m-hampl) said :
#1

see https://launchpad.net/~boost-latest/+archive/ubuntu/ppa

This PPA does not provide software for Ubuntu focal and has to be removed from your list of repository sources.

Why do you think that you need that PPA at all? The standard repositories for Ubuntu focal provide boost1.67 and boost1.71

Revision history for this message
parvathybabu (parvathybabu) said :
#2

Ok. So now I understand that the latest boost library for Ubuntu focal cannot be taken using PPA. .

Can I download the latest boost version from boost official website https://www.boost.org/users/history/version_1_76_0.html

And then install ?

Revision history for this message
Best Manfred Hampl (m-hampl) said :
#3

Why do you think that you need the very newest version of boost?

The Ubuntu repositories bring a stable version that has been tested for correct function on Ubuntu - for focal it is 1.71

If you want a different version, then you have to do this on your own.
Maybe there are PPAs, or you can go to the original source.
This is outside Ubuntu support. You have to help yourself.

Revision history for this message
parvathybabu (parvathybabu) said :
#4

Thanks Manfred Hampl, that solved my question.